﻿/*Controls Section*/
.DynamicControlPanel {
    height: 100% !important;
    width: 100% !important;
    font-weight: normal;
    text-align: left;
    font-style: normal;
    position: relative;
    display: inline-block;
    margin-top: 8px;
}

.mulitiline
{
  height:90px !important;
}

textarea.form-control
{
	height:90px !important;
}

.InnerTemplate {
    width: 100% !important;
    padding-top: 10px;
    padding-left: 10px;
    height: 100% !important;
}

.StandardControlLeft {
    float: left !important;
    width: 100%;
    margin-top: 5px;
    margin-bottom: 5px;
    margin-right: 4px;
    margin-left: 5px;
}

.StandardControlRight {
    float: left !important;
    width: 100%;
    margin-top: 5px;
    margin-bottom: 5px;
}

.ControlLayout {
    width: 100% !important;
    float: left !important;
    margin-bottom: 1px;
}

.Header {
    width: 100% !important;
    text-align: left;
    float: left !important;
    padding: 7px 0px;
    color: #AD2c13;
    border-bottom: 2px solid #AD2c13;
    text-transform: capitalize;
    font-size: 14px;
    font-style: normal;
    margin-bottom: 20px;
    margin-top: 15px;
}


.controlwidth-50
{
	width : 50px !important;
	text-align: left;
}
.controlwidth-auto
{
	width : auto;
	text-align: left;
}
.controlwidth-300
{
	width : 300px !important;
}
.controlwidth-340
{
	width : 340px !important;
}

.padding-left-20
{
	padding-left:20px;
}

.padding-left-200
{
	padding-left:200px;
}
.nopadding
{
	padding-left:0px;
	padding-right:0px;
}

#ctl00_body_ctlOnline_dvMainDM_GCEOLEVELSUBJECTS,
#ctl00_body_ctlOnline_dvMainDM_GCEALEVELSUBJECTS,
#ctl00_body_ctlOnline_dvMainDM_POLYTECHNIC,
#ctl00_body_ctlOnline_dvMainDM_UNIVERSITY {
    border-bottom: 1px solid #0071bc;
    margin-bottom: 0.5rem;
    padding-bottom: .5rem;
}

#ctl00$body$ctlOnline$lblsl1DM_GCEOLEVELSUBJECTS
{
	margin-left:5px;
}

#ctl00_body_ctlOnline_dvMainDM_GCEOLEVELSUBJECTS
{
	border-bottom: 1px solid #0071bc;
	  margin-bottom: 0.5rem;
    padding-bottom: .5rem;
}
#ctl00_body_ctlOnline_dvhdrDM_FIRSTNAME {
    margin-top: 0px;
}

.HeaderBorderStyle {
    width: 100% !important;
    height: 1px;
    float: left !important;
    margin-bottom: 15px;
    margin-top: 15px;
    font-weight: bold;
}

.HeaderWithoutBG {
    width: 100% !important;
    height: 1px;
    float: left !important;
    margin-bottom: 15px;
    margin-top: 15px;
    font-weight: bold;
}

.Note {
    float: left;
    padding-right: 3px;
    font-weight: bold;
    font-size: 14px;
}

.NoteDetails {
    font-size: 14px;
    float: left;
    width: 90%;
    color: #636466;
    font-weight: normal;
}

.FieldHeader {
    width: 100%;
    font-size: 12px;
}

.SubGroup {
    float: left;
    margin-right: 5px;
    /*width: 42%;*/ /* width: 42% => for 2 columns */
    width: 30%; /* width: 30% => for 3 columns */
    /*margin-top: 5px;*/
    vertical-align: middle;
}

.FullText {
    width: 100%;
    text-align: left;
    font: inherit;
    float: left;
    margin-left: 5px;
    margin-top: -17px;
    margin-bottom: 15px;
}

.HeaderNote {
    color: Red;
    padding: 5px;
    font-weight: bold;
    font-size: inherit;
    float: left;
}

.SerialNumber {
    font: inherit;
    float: left;
    text-align: right;
    margin-left: -22px;
    margin-right: 5px;
}

.LabelMandatorySymbol {
    width: 0px;
    float: left;
    margin-right: 5px;
    padding-right: 5px;
}

.SubGroupMultiRow {
    float: left;
    margin-right: 5px;
    /* width: 19%;*/
    width: 30%;
    margin-bottom: 5px;
}

    .SubGroupMultiRow input {
        /*width: 100% !important;*/
    }

.ValidationSummary {
    width: 100% !important;
    float: left; /*margin-left: 30%;*/
}

.Information {
    width: 100% !important;
    background-color: Transparent;
    height: 15px;
    text-align: right;
    color: Black;
    padding-top: 5px;
    padding-right: 5px;
    margin-bottom: 5px;
    float: left;
}

.PrefixSuffix {
    float: left !important;
}

.GroupFieldControlContactNumberDiv {
    width: 32% !important;
    float: left;
}

.ImagePreview {
    width: 100px;
    margin-top: 3px;
    margin-bottom: 3px;
}

.Label {
    padding-right: 5px;
    font-size: 14px;
    text-align: left;
}

.TextBox {
    width: 100%;
    border: 1px solid #c0c0c0;
    border-radius: 4px;
}

.GroupFieldMultiColumn {
    width: 100%;
    border: 1px solid #ACB9C5;
    margin-bottom: 3px;
    min-width: 33%;
    max-width: 100%;
    text-decoration: none;
    line-height: normal;
    margin: 0;
}

.DateFieldMandatoryControl {
    float: left;
    position: absolute;
}

.DateFieldMandatoryDiv {
    width: 100% !important;
    float: left !important;
    margin-bottom: 1px;
    line-height: 0px;
    padding-bottom: 5px;
    padding-top: 5px;
}

.DropDown {
    width: 100%;
    border: 1px solid #c0c0c0;
    border-radius: 4px;
}

.ListBox {
    width: 100%;
    height: 50px;
    border: 1px solid #c0c0c0;
    border-radius: 4px;
}

.FileUpload, input[type="file"] {
    width: 290px;
    height: 23px;
    border: 1px solid #ACB9C5;
    text-decoration: none;
    line-height: normal;
    margin: 0;
    font-size: 14px;
}

.SerialNumber input[type="text"], .AddRowsSerialNumber input[type="text"] {
    width: 13px !important;
    outline: none;
    border: 0;
    text-align: center;
    height: 23px;
}

.SerialNumber, .AddRowsSerialNumber {
    font: inherit;
    float: left;
    padding-right: 0px;
    /*text-align: right;
    height: 16px;*/
}

div.StandardControlLeft .AddRowsSerialNumber {
    font: inherit;
    float: left;
    padding-right: 0px;
    /*text-align: right;
    height: 16px;*/
}

.SubControl {
    width: 100%;
    margin-top: 3px;
}

.Mandatory {
    width: 100% !important;
    color: Red;
    text-align: right;
    margin-left: 2px;
    font-size: 13px;
}

.ValidationLabel {
    width: 100% !important;
    color: Red;
    text-align: right;
    font-size: 13px;
}

.Image {
    height: 100px;
    width: 100px;
}

.GroupFieldControlHeader {
    font-size: smaller;
}
/* Message Section*/

.ErrorMessage {
    color: Red;
    text-align: right;
    float: right;
    font-size: 14px;
    font-weight: bold;
}

.SuccessMessage {
    color: Navy;
}

.largetextbox, .largedropdown {
    width: 100%;
}

.Password {
    width: 100%;
}

.largeradiobuttonlist {
    width: 130px;
    padding: 3px 3px 1px 3px;
    font-size: 14px;
}

.largeradiobuttonlisttypetwo {
    width: 170px;
    padding: 3px 3px 1px 3px;
    font-size: 14px;
}

.photo {
    display: block;
    color: #f3901d
}

.ContactOutter {
    padding: 2px 2px 1px 2px;
}

.largetextArea {
    width: 290px;
    padding: 2px;
    height: 100px;
    resize: vertical;
}

.largetextlistbox {
    width: 290px;
    height: 100px;
}

.largetextlistboxtype2 {
    width: 485px;
    height: 100px;
}

.CheckBoxList {
    width: 0px;
    padding: 0px 0px 0px 0px;
}
.CheckBoxLabel {
     display: block;
  padding-right: 10px;
  padding-left: 22px;
}

.ButtonDiv {
    width: 100%;
    text-align: right;
}

    .ButtonDiv a[disabled="disabled"] {
        color: #BFBEBE !important;
    }

.AddButton, .RemoveButton {
    color: #0063FF;
    text-decoration: none;
    padding-left: 5px;
}

    .AddButton:hover, .RemoveButton:hover {
        text-decoration: underline;
        padding-left: 5px;
    }

    .AddButton:active, .RemoveButton:active {
        position: relative;
        top: 1px;
    }

.SubGroup select, .SubGroup input[type="text"], .SubGroup textarea, .SubGroupMultiRow select, .SubGroupMultiRow input[type="text"], .SubGroupMultiRow textarea {
    width: 100%;
}

.StandardControlRight .SubGroup, .StandardControlRight .SubGroupMultiRow {
    width: 30%;
}

.mandatorySerialNumber {
    position: relative;
    left: -10px;
}

.GroupFieldLabelDiv {
    display: none;
}

.margin20 {
    margin-left: 20px;
}

div[id*="DM_CLDESCRIPTIONSKILLS"].SubGroupMultiRow {
    width: 26%;
}

div[id*="DM_VALUEOFAWARDCURRENCY"].SubGroup, div[id*="DM_EHCURRENCY"].SubGroup, div[id*="DM_FACURRENCY"].SubGroup {
    width: 29%;
}

div[id*="DM_FACURRENCYVALUE"].SubGroup {
    width: 22%;
}


.cust1textbox {
    width: 15%;
    padding: 0px 3px 1px 3px;
}

.cust1dropdown {
    width: 13%;
    padding: 0px 3px 1px 3px;
}



/* Page header label style */
.contactus-txt span {
    font-weight: 700;
    color: #89b927;
    font-size: 25px;
}

/* For Declaration Fields of GENERAL INFORMATION start */
table#ctl00_body_ctlOnline_rblDM_LICENSE td {
    display: inline-flex;
}

table#ctl00_body_ctlOnline_rblDM_PREVIOUSEMPLOYER td {
    display: inline-flex;
}

table#ctl00_body_ctlOnline_rblDM_PHYSICAL td {
    display: inline-flex;
}

table#ctl00_body_ctlOnline_rblDM_PHYSICAL td {
    display: inline-flex;
}

table#ctl00_body_ctlOnline_rblDM_OFFENCE td {
    display: inline-flex;
}

table#ctl00_body_ctlOnline_lblDM_OVERSEAS td {
    display: inline-flex;
}

table#ctl00_body_ctlOnline_rblDM_RELATIVESINJEL td {
    display: inline-flex;
}

table#ctl00_body_ctlOnline_rblDM_BANKRUPT td {
    display: inline-flex;
}

table#ctl00_body_ctlOnline_rblDM_OVERSEAS td {
    display: inline-flex;
}
/* For Declaration Fields of GENERAL INFORMATION end */

.SeperatorCss {
    height: 13px;
    width: 20px;
    margin: 4px;
    margin-top: 4px;
}



.StandardControlRight > .ControlBody {
    width: 98%;
}

.StandardControlRight > .SubGroup > .ControlBody {
    width: 60%;
}

.StandardControlRight .ControlBody {
    width: 97%;
}

.StandardControlRight .SubGroup .ControlBody {
    width: 100%;
}

.StandardControlRight .ControlLayout .SubGroup {
    width: 99%
}

.GroupFieldLabelDiv {
    display: none;
}

@media (min-width: 768px) and (max-width: 991px) {
    /* (e.g. tablets) are targeted )*/
    .SerialNumber, .AddRowsSerialNumber {
        font: inherit;
        float: left;
        padding-right: 0px;
        text-align: right;
        height: 16px;
    }

    .SerialNumber, .AddRowsSerialNumber {
        width: 45px;
    }

    .StandardControlLeft {
        float: left !important;
        width: 37%;
        margin-top: 5px;
        margin-bottom: 5px;
        margin-right: 4px;
        margin-left: 5px;
        line-height: 1.5;
    }

    .StandardControlRight {
        float: left !important;
        width: 60%;
        margin-top: 5px;
        margin-bottom: 5px;
    }

    .largetextbox, .largedropdown {
        width: 92%;
    }

    .Password {
        width: 80%;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    /*Medium Sized Devices (e.g. Desktops) have a screen size smaller than 1200px and greater than 991px */
    .ControlLayout {
        margin-bottom: 0px;
    }

    .SerialNumber, .AddRowsSerialNumber {
        font: inherit;
        float: left;
        padding-right: 0px;
        text-align: right;
        height: 16px;
    }

    .StandardControlLeft {
        float: left !important;
        width: 37%;
        margin-top: 5px;
        margin-bottom: 5px;
        margin-right: 4px;
        margin-left: 5px;
        line-height: 1.5;
    }

    .StandardControlRight {
        float: left !important;
        width: 60%;
        margin-top: 5px;
        margin-bottom: 5px;
    }


    .largetextbox, .largedropdown {
        width: 95%;
    }


    .Password {
        width: 75%;
    }

    .StandardControlRight .SubGroup, .StandardControlRight .SubGroupMultiRow {
        width: 30%;
    }

    .StandardControlRight .ControlLayout .SubGroup {
        width: 30%
    }

    .StandardControlRight .ControlBody {
        width: 80%;
    }
}

@media (min-width: 1200px) {
    /*Larger Devices (e.g. wide-screen monitors) are greater than 1200px, targeted using */
    .ControlLayout {
        margin-bottom: 0px;
    }

    .SerialNumber, .AddRowsSerialNumber {
        font: inherit;
        float: left;
        padding-right: 0px;
        text-align: right;
        height: 16px;
    }

    .StandardControlLeft {
        float: left !important;
        width: 37%;
        margin-top: 5px;
        margin-bottom: 5px;
        margin-right: 4px;
        margin-left: 5px;
        line-height: 1.5;
    }

    .StandardControlRight {
        float: left !important;
        width: 60%;
        margin-top: 5px;
        margin-bottom: 5px;
    }


    .largetextbox, .largedropdown {
        width: 96%;
    }


    .Password {
        width: 60%;
    }

    .StandardControlRight .SubGroup, .StandardControlRight .SubGroupMultiRow {
        width: 24%;
    }

    .StandardControlRight .ControlBody {
        width: 48%;
    }

    .StandardControlRight .SubGroup > .ControlBody {
        width: 100%;
    }

    .StandardControlRight .ControlLayout .SubGroup {
        width: 30%
    }
}
